#' .. content for \description{} (no empty lines) ..
#'
#' .. content for \details{} ..
#'
#' @title
#' @param BetaEstimatesFourweekly
#' @param Inputs
BetaOutputs_fourweekly <- function(BetaEstimatesFourweekly, Inputs) {

  EndDate <- Inputs[[2]]
  Period <- Inputs [[4]]
  
  RegressionResults <- BetaEstimatesFourweekly
  
  FullResultsFourweekly <- RegressionResults %>% select(-model)
  
  #Average across all reference days
  
  ResultsAvgWeekdays <- RegressionResults %>% group_by(Code) %>% summarise(Assetbeta = mean(Assetbeta), AdjAssetbeta = mean(AdjAssetbeta))
  
  ####Writeout####
  
  write.csv(FullResultsFourweekly, paste0(".//Outputs//FullResultsFourWeekly-",Period,"-",EndDate,".csv"), row.names = FALSE)
  write.csv(ResultsAvgWeekdays, paste0(".//Outputs//AverageFourWeekly-",Period,"-",EndDate,".csv"), row.names = FALSE)

}
