#' .. content for \description{} (no empty lines) ..
#'
#' .. content for \details{} ..
#'
#' @title
#' @param BetaEstimates
#' @param Inputs
BetaOutputs_weekly <- function(BetaEstimates, Inputs) {

  EndDate <- Inputs[[2]]
  Period <- Inputs [[4]]
  
  RegressionResults <- BetaEstimates
  
  FullResultsWeekly <- RegressionResults %>% select(-model)
  
  #Average across all weekdays
  
  ResultsAvgWeekdays <- RegressionResults %>% group_by(Code) %>% summarise(Assetbeta = mean(Assetbeta), AdjAssetbeta = mean(AdjAssetbeta))
  
  #Using end of week only
  
  ResultsEndWeek <- filter(RegressionResults, Weekday == 5) %>% select(Code, Assetbeta)
  
  ####Writeout####
  
  write.csv(FullResultsWeekly, paste0(".//Outputs//FullResultsWeekly-",Period,"-",EndDate,".csv"), row.names = FALSE)
  write.csv(ResultsAvgWeekdays, paste0(".//Outputs//AverageWeekdays-",Period,"-",EndDate,".csv"), row.names = FALSE)
  write.csv(ResultsEndWeek, paste0(".//Outputs//EndWeek-",Period,"-",EndDate,".csv"), row.names = FALSE)

}
