#' .. content for \description{} (no empty lines) ..
#'
#' .. content for \details{} ..
#'
#' @title

get_inputs <- function() {

  RegressionPeriod <- 5 #Years
  
  EndDateRaw <- "31/12/2020"  #Format = dd/mm/yyyy
  EndDate <- as.Date(EndDateRaw, format = "%d/%m/%Y")
  
  StartDateRaw <- "31/12/2015"  #Format = dd/mm/yyyy
  StartDate <- as.Date(StartDateRaw, format = "%d/%m/%Y") 
  
  StartDate <- StartDate #Start date is modified for data extraction and calculation steps 
  
  Firms <- read.csv(".//Inputs//Firms.csv", header = TRUE, stringsAsFactors = FALSE)
  
  #Output will be a list to use later
  
  Inputs <- list(StartDate,EndDate,Firms,RegressionPeriod)
  
  Inputs

}
